Subject: Re: attndims, typndims still not enforced, but make the value within a sane threshold

From: Alvaro Herrera <[email-masked]>
Date: Thu, 5 Dec 2024 15:43:08 +0100

On 2024-Dec-05, Kirill Reshke wrote:

> On Fri, 20 Sept 2024 at 07:11, jian he <[email-masked]> wrote:
> > attached patch removes attndims and typndims entirely.
> 
> LGTM?
> I see no open items in this thread. Are there any issues about v1?

Should we leave TupleDescInitEntry()'s API alone, to avoid breaking the
compilation of every extension in the world?  Maybe we could rename the
function (say to TupleDescInitializeEntry()) and use a define?

#define TupleDescInitEntry(a,b,c,d,e,f) TupleDescInitializeEntry(a,b,c,d,e)

Then the amount of churn is reduced, no extensions are broken, and we
can remove the define in a few years.

-- 
Álvaro Herrera               48°01'N 7°57'E  —  https://www.EnterpriseDB.com/
"Debido a que la velocidad de la luz es mucho mayor que la del sonido,
 algunas personas nos parecen brillantes un minuto antes
 de escuchar las pelotudeces que dicen." (Roberto Fontanarrosa)